package com.bjtdba.merchant.dao;

import com.bjtdba.entity.merchant.MerchantIntention;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface MerchantIntentionDao {

    MerchantIntention selectMerchantIntentionStstus(String uid);

    MerchantIntention selectMerchantIntentionByMerId(Integer mer_id);

    int insterMerchantIntention(MerchantIntention merchantIntention);

    int updateMerchantIntention(MerchantIntention merchantIntention);

    int updateResultByUid(String check_result, int status, Integer uid);

    int updateMerIdByUid(String uid, Integer merchantid);
}
